%define rname network-manager-applet
%define major 0
%define girmajor 1.0
%define libname %mklibname nm-gtk %{major}
%define girname %mklibname nm-gtk-gir %{girmajor}
%define devname %mklibname nm-gtk -d
%define libnma %mklibname nma %{major}
%define girnma %mklibname nma-gir %{girmajor}
%define devnma %mklibname nma -d

Summary:	Network connection manager applet for GNOME
Name:		networkmanager-applet
Version:	1.4.4
Release:	3
License:	GPLv2+
Group:		System/Configuration/Networking
Url:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/1.2/%{rname}-%{version}.tar.xz
Source1:	50-nm_applet.pkla
Source2:    networkmanager-applet-desktop_ru-1.4.4-2.src.tar.gz
Source3:    networkmanager-applet_ru.tar.gz
Patch0:		network-manager-applet-1.2.2-desktop-gnome.patch
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libnm) >= %{version}
BuildRequires:	pkgconfig(libnm-glib) >= %{version}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{version}
BuildRequires:  pkgconfig(mm-glib)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.92
Requires:	networkmanager >= %{version}
Requires:	gtk+3
Requires:	iso-codes
Requires:	typelib(NMGtk)

%description
Network-manager-applet is a system tray applet which lets you easily
connect to different networks. It is created for GNOME's notification area
but it also works for other desktop environments which provide a system
tray like KDE or XFCE. It displays the available networks and allows to
easily switch between them. For encrypted networks it will prompt the user
for the key/passphrase and it can optionally store them in the
gnome-keyring.

%files -f nm-applet.lang
%doc ChangeLog CONTRIBUTING
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-connection-editor
%{_bindir}/nm-applet
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/appdata/nm-connection-editor.appdata.xml
%{_datadir}/applications/nm-applet.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/polkit-1/localauthority/50-local.d/50-nm_applet.pkla
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libnm-gtk.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Conflicts:	%{name} < 1.2.2

%description -n %{girname}
GObject Introspection files for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/NMGtk-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development libraries and header files from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Conflicts:	%{name} < 1.2.2

%description -n %{devname}
Development libraries and header files from %{name}.

%files -n %{devname}
%{_datadir}/gir-1.0/NMGtk-%{girmajor}.gir
%{_includedir}/libnm-gtk/*
%{_libdir}/libnm-gtk.so
%{_libdir}/pkgconfig/libnm-gtk.pc

#----------------------------------------------------------------------------

%package -n %{libnma}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libnma}
Shared library for %{name}.

%files -n %{libnma}
%{_libdir}/libnma.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girnma}
Summary:	GObject Introspection files for %{name}
Group:		System/Libraries
Requires:	%{libnma} = %{EVRD}

%description -n %{girnma}
GObject Introspection files for %{name}.

%files -n %{girnma}
%{_libdir}/girepository-1.0/NMA-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devnma}
Summary:	Development libraries and header files from %{name}
Group:		Development/C
Requires:	%{libnma} = %{EVRD}
Requires:	%{girnma} = %{EVRD}

%description -n %{devnma}
Development libraries and header files from %{name}.

%files -n %{devnma}
%{_datadir}/gir-1.0/NMA-%{girmajor}.gir
%{_includedir}/libnma/*
%{_libdir}/libnma.so
%{_libdir}/pkgconfig/libnma.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{rname}-%{version}
%patch0 -p1 -R

tar -xvzf %{SOURCE2}

pushd po
tar -xvzf %{SOURCE3}
popd

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-more-warnings=no \
	--without-bluetooth \
	--with-gtkver=3

%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/polkit-1/localauthority/50-local.d/

%find_lang nm-applet


%changelog
